Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.rmi
Class RmiConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.AbstractJndiConnector
              org.mule.transport.rmi.RmiConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  EjbConnector, JnpConnector

    public class RmiConnector

extends AbstractJndiConnector

`RmiConnector` can bind or send to a given RMI port on a given host.

Field Summary
`static int` | `DEFAULT_RMI_muleRegistry_PORT`
`protected long` | `pollingFrequency`
`static String` | `PROPERTY_RMI_SECURITY_POLICY`
`static String` | `PROPERTY_RMI_SERVER_CODEBASE`
`static String` | `PROPERTY_SERVER_CLASS_NAME`
`static String` | `PROPERTY_SERVICE_METHOD_PARAM_TYPES` The property name that explicitly defines which argument types should be passed to a remote object method invocation.
`static String` | `PROPERTY_SERVICE_METHOD_PARAMS_LIST` The property name for a list of objects used to call a Remote object via an RMI or EJB MessageReceiver
`static String` | `RMI`

Fields inherited from class org.mule.transport.AbstractJndiConnector
`jndiContext, jndiInitialFactory, jndiProviderProperties, jndiProviderUrl, jndiUrlPkgPrefixes`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`RmiConnector(MuleContext context)`

Method Summary
`MessageReceiver` | `createReceiver(FlowConstruct flowConstruct, InboundEndpoint endpoint)` Create a Message receiver for this connector
`protected void` | `doConnect()` Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Template method to perform any work when destroying the connectoe
`protected void` | `doInitialise()`
`protected void` | `doStart()` Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Template method to perform any work when stopping the connectoe
`protected Class[]` | `getArgTypes(Object args, MuleEvent fromEvent)`
`Method` | `getMethodObject(Remote remoteObject, MuleEvent event)` Helper method for Dispatchers and Receives to extract the correct method from a Remote object
`long` | `getPollingFrequency()`
`String` | `getProtocol()`
`Remote` | `getRemoteObject(ImmutableEndpoint endpoint)`
`protected Object` | `getRemoteRef(ImmutableEndpoint endpoint)`
`SecurityManager` | `getSecurityManager()`
`String` | `getSecurityPolicy()`
`String` | `getServerClassName()`
`String` | `getServerCodebase()`
`void` | `setPollingFrequency(long pollingFrequency)`
`void` | `setSecurityManager(SecurityManager securityManager)`
`void` | `setSecurityPolicy(String path)`
`void` | `setServerClassName(String serverClassName)`
`void` | `setServerCodebase(String serverCodebase)`
`protected Class[]` | `stringsToClasses(Collection strings)`

Methods inherited from class org.mule.transport.AbstractJndiConnector
`getJndiContext, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getJndiUrlPkgPrefixes, initJndiContext, setJndiContext, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setJndiUrlPkgPrefixes`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RMI

    public static final String RMI

See Also:
  Constant Field Values

### DEFAULT_RMI_muleRegistry_PORT

    public static final int DEFAULT_RMI_muleRegistry_PORT

See Also:
  Constant Field Values

### PROPERTY_RMI_SECURITY_POLICY

    public static final String PROPERTY_RMI_SECURITY_POLICY

See Also:
  Constant Field Values

### PROPERTY_RMI_SERVER_CODEBASE

    public static final String PROPERTY_RMI_SERVER_CODEBASE

See Also:
  Constant Field Values

### PROPERTY_SERVER_CLASS_NAME

    public static final String PROPERTY_SERVER_CLASS_NAME

See Also:
  Constant Field Values

### PROPERTY_SERVICE_METHOD_PARAM_TYPES

    public static final String PROPERTY_SERVICE_METHOD_PARAM_TYPES

  The property name that explicitly defines which argument types should be passed to a remote object method invocation. This is a comma-separate list for fully qualified classnames. If this property is not set on an outbound endpoint, the argument types will be determined automatically from the payload of the current message

  See Also:
    Constant Field Values

### PROPERTY_SERVICE_METHOD_PARAMS_LIST

    public static final String PROPERTY_SERVICE_METHOD_PARAMS_LIST

  The property name for a list of objects used to call a Remote object via an RMI or EJB MessageReceiver

  See Also:
    Constant Field Values

### pollingFrequency

    protected long pollingFrequency

Constructor Detail

### RmiConnector

    public RmiConnector(MuleContext context)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Description copied from class: `AbstractConnector`
  Template method to perform any work when destroying the connectoe

  Specified by:
    `doDispose` in class `AbstractConnector`

### doConnect

    protected void doConnect()
                      throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### getProtocol

    public String getProtocol()

  Returns:
    the primary protocol name for endpoints of this connector

### getSecurityPolicy

    public String getSecurityPolicy()

### setSecurityPolicy

    public void setSecurityPolicy(String path)

### getServerCodebase

    public String getServerCodebase()

### setServerCodebase

    public void setServerCodebase(String serverCodebase)

### getServerClassName

    public String getServerClassName()

### setServerClassName

    public void setServerClassName(String serverClassName)

### getSecurityManager

    public SecurityManager getSecurityManager()

### setSecurityManager

    public void setSecurityManager(SecurityManager securityManager)

### createReceiver

    public MessageReceiver createReceiver(FlowConstruct flowConstruct,
                                          InboundEndpoint endpoint)
                                   throws Exception

  Description copied from class: `AbstractConnector`
  Create a Message receiver for this connector

  Overrides:
    `createReceiver` in class `AbstractConnector`
  Parameters:
    `flowConstruct` - the service that will receive events from this receiver, the listener
    `endpoint` - the endpoint that defies this inbound communication
  Returns:
    an instance of the message receiver defined in this connectors' `TransportServiceDescriptor` initialised using the service and endpoint.
  Throws:
    `Exception` - if there is a problem creating the receiver. This exception really depends on the underlying transport, thus any exception could be thrown

### getMethodObject

    public Method getMethodObject(Remote remoteObject,
                                  MuleEvent event)
                           throws MuleException,
                                  NoSuchMethodException,
                                  ClassNotFoundException

  Helper method for Dispatchers and Receives to extract the correct method from a Remote object

  Parameters:
    `remoteObject` - The remote object on which to invoke the method
    `event` - The current event being processed
  Throws:
    `MuleException`
    `NoSuchMethodException`
    `ClassNotFoundException`

### stringsToClasses

    protected Class[] stringsToClasses(Collection strings)
                                throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### getRemoteRef

    protected Object getRemoteRef(ImmutableEndpoint endpoint)
                           throws IOException,
                                  NotBoundException,
                                  NamingException,
                                  InitialisationException

  Throws:
    `IOException`
    `NotBoundException`
    `NamingException`
    `InitialisationException`

### getRemoteObject

    public Remote getRemoteObject(ImmutableEndpoint endpoint)
                           throws IOException,
                                  NotBoundException,
                                  NamingException,
                                  InitialisationException

  Throws:
    `IOException`
    `NotBoundException`
    `NamingException`
    `InitialisationException`

### getPollingFrequency

    public long getPollingFrequency()

### setPollingFrequency

    public void setPollingFrequency(long pollingFrequency)

### getArgTypes

    protected Class[] getArgTypes(Object args,
                                  MuleEvent fromEvent)
                           throws ClassNotFoundException,
                                  TransformerException

  Throws:
    `ClassNotFoundException`
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.